<template>
  <Container
    class="flex border-b-4 border-gray-300"
    :class="{ 'border-teal-600': isCurrentUser }"
  >
    <TextAvatar :value="data.login" />

    <section class="flex-auto mx-4 truncate">
      <section
        v-tooltip:top-start="{ text: data.login, openOnClick: true }"
        class="text-lg max-w-full truncate"
      >
        {{ data.login }}
      </section>

      <section class="text-gray-500 pt-1">
        <v-chip prepend-icon="mdi-calendar-outline">
          {{ dt.display(data.createdAt) }}
        </v-chip>
      </section>
    </section>

    <section class="flex justify-center items-center">
      <v-btn
        v-if="isCurrentUser"
        v-tooltip:top="{ text: 'Это Вы', openOnClick: true }"
        :ripple="false"
        tag="span"
        variant="tonal"
        size="small"
        icon="mdi-trash-can-outline"
        class="cursor-default"
      />

      <DeleteUserForm
        v-else
        :data="data"
      />
    </section>
  </Container>
</template>

<script setup lang="ts">
import { computed } from 'vue';

import { useAuth, useDateTime } from '@/composables';

import TextAvatar from '@/components/content/TextAvatar.vue';
import Container from '@/components/layout/Container.vue';

import DeleteUserForm from './DeleteUserForm.vue';

const props = defineProps<{ data: IUser }>();

const auth = useAuth();
const dt = useDateTime();

const isCurrentUser = computed(() => {
  if (!auth.currentUser.value) return false;
  return auth.currentUser.value.id === props.data.id;
});
</script>